source: CMT/HEAD/mgr/fragments/cleanup_header @ 491

Last change on this file since 491 was 491, checked in by rybkin, 15 years ago

See C.L. 386

  • Property svn:eol-style set to native
File size: 1.1 KB
Line 
1#-- start of cleanup_header --------------
2
3clean :: ${CONSTITUENT}clean ;
4#       @cd .
5
6ifndef PEDANTIC
7.DEFAULT::
8        $(echo) "(${CONSTITUENT}.make) $@: No rule for such target" >&2
9#       @echo "#CMT> Warning: $@: No rule for such target" >&2; exit
10else
11.DEFAULT::
12        $(echo) "(${CONSTITUENT}.make) PEDANTIC: $@: No rule for such target" >&2
13        if test $@ = "$(cmt_final_setup)" -o\
14         $@ = "$(cmt_final_setup_${CONSTITUENT})" ; then\
15         found=n; for s in 1 2 3 4 5; do\
16         sleep $$s; test ! -f $@ || { found=y; break; }\
17         done; if test $$found = n; then\
18         test -z "$(cmtmsg)" ||\
19         echo "$(CMTMSGPREFIX)" "(${CONSTITUENT}.make) PEDANTIC: $@: Seems to be missing. Ignore it for now" >&2; exit 0 ; fi;\
20         elif test `expr $@ : '.*/'` -ne 0 ; then\
21         test -z "$(cmtmsg)" ||\
22         echo "$(CMTMSGPREFIX)" "(${CONSTITUENT}.make) PEDANTIC: $@: Seems to be a missing file. Please check" >&2; exit 2 ; \
23         else\
24         test -z "$(cmtmsg)" ||\
25         echo "$(CMTMSGPREFIX)" "(${CONSTITUENT}.make) PEDANTIC: $@: Seems to be a fake target due to some pattern. Just ignore it" >&2 ; exit 0; fi
26endif
27
28${CONSTITUENT}clean ::
29#-- end of cleanup_header ---------------
Note: See TracBrowser for help on using the repository browser.